Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStandardItem.ItemType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStandardItem.ItemType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStandardItem

    public static final class QStandardItem.ItemType

extends java.lang.Enum
implements QtEnumerator

This enum describes the types that are used to describe tree widget items. You can define new user types in `QTreeWidgetItem` subclasses to ensure that custom items are treated specially; for example, when items are sorted.

See also:
  `type()`.

See Also:
  Serialized Form

Field Summary
`static QStandardItem.ItemType` | `Type` The default type for tree widget items.
`static QStandardItem.ItemType` | `UserType` The minimum value for custom types.

Method Summary
`static QStandardItem.ItemType` | `resolve(int value)` Returns the ItemType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStandardItem.ItemType` | `valueOf(java.lang.String name)`
`static QStandardItem.ItemType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Type

    public static final QStandardItem.ItemType Type

  The default type for tree widget items.

### UserType

    public static final QStandardItem.ItemType UserType

  The minimum value for custom types. Values below `UserType` are reserved by Qt.

Method Detail

### values

    public static QStandardItem.ItemType[] values()

### valueOf

    public static QStandardItem.ItemType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStandardItem.ItemType resolve(int value)

  Returns the ItemType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD